Gtk::Box_Helpers::Child Class Reference

Inherits _GtkBoxChild.

## Public Member Functions

_GtkBoxChild* | gobj ()
| Provides access to the underlying C GObject. More...
const _GtkBoxChild* | gobj () const
| Provides access to the underlying C GObject. More...
Widget* | get_widget () const
guint16 | get_padding () const
bool | get_expand () const
bool | get_fill () const
bool | get_pack () const
void | set_options (PackOptions options, guint padding=0)
void | set_options (bool expand, bool fill, guint padding=0)
void | set_pack (PackType pack)

## Protected Member Functions

GtkBox* | parent ()
void | redraw ()

## Member Function Documentation

bool Gtk::Box_Helpers::Child::get_expand | ( |  | ) | const

inline

bool Gtk::Box_Helpers::Child::get_fill | ( |  | ) | const

inline

bool Gtk::Box_Helpers::Child::get_pack | ( |  | ) | const

inline

guint16 Gtk::Box_Helpers::Child::get_padding | ( |  | ) | const

inline

Widget* Gtk::Box_Helpers::Child::get_widget | ( |  | ) | const

_GtkBoxChild* Gtk::Box_Helpers::Child::gobj | ( |  | ) |

inline

Provides access to the underlying C GObject.

const _GtkBoxChild* Gtk::Box_Helpers::Child::gobj | ( |  | ) | const

inline

Provides access to the underlying C GObject.

GtkBox* Gtk::Box_Helpers::Child::parent | ( |  | ) |

inlineprotected

void Gtk::Box_Helpers::Child::redraw | ( |  | ) |

protected

void Gtk::Box_Helpers::Child::set_options | ( | PackOptions | options,
|  | guint | padding = `0`
| ) |  |

void Gtk::Box_Helpers::Child::set_options | ( | bool | expand,
|  | bool | fill,
|  | guint | padding = `0`
| ) |  |

void Gtk::Box_Helpers::Child::set_pack | ( | PackType | pack | ) |

The documentation for this class was generated from the following file:

- gtkmm/box.h